summaryrefslogtreecommitdiff
path: root/tests/du/two-args
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du/two-args')
-rwxr-xr-xtests/du/two-args51
1 files changed, 51 insertions, 0 deletions
diff --git a/tests/du/two-args b/tests/du/two-args
new file mode 100755
index 0000000..93700a0
--- /dev/null
+++ b/tests/du/two-args
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Make sure `du d/1 d/2' works.
+# That command failed with du from fileutils-4.0q.
+
+# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+pwd=`pwd`
+tmp=du2-$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+mkdir -p $tmp/1 $tmp/2
+
+test -d $tmp || fail=1
+du $tmp/1 $tmp/2 > /dev/null || fail=1
+
+# Make sure `du . $tmp' and `du .. $tmp' work.
+# These would fail prior to fileutils-4.0y.
+du . $tmp > /dev/null || fail=1
+du .. $tmp > /dev/null || fail=1
+
+(exit $fail); exit $fail